# NetRequestBody

class NetRequestBody(requestBody: RequestBody, progressListeners: ConcurrentLinkedQueue<ProgressListener>?) : RequestBody
Content copied to clipboard

## Functions

contentLength
Link copied to clipboard
open override fun contentLength(): Long
Content copied to clipboard
contentType
Link copied to clipboard
open override fun contentType(): MediaType?
Content copied to clipboard
peekString
Link copied to clipboard
fun peekString(byteCount: Long = 1024 * 1024, discard: Boolean = false): String
Content copied to clipboard
复制一段指定长度的字符串内容
writeTo
Link copied to clipboard
open override fun writeTo(sink: BufferedSink)
Content copied to clipboard

## Properties

contentLength
Link copied to clipboard
val contentLength: Long
Content copied to clipboard